<?php 
session_start();
include_once '../../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 

$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$produto = $_POST['produto'];
$qtd = $_POST['qtd'];
$mesa = $_POST['mesa'];
$status = 'Aberto';
// $cliente = 1;

if ($qtd < 1) {
	echo 1;
}else{
	$sqlView = "SELECT stock FROM produto WHERE nomeproduto = '$produto'";
	$rsView = mysqli_query($db, $sqlView);
	$dados = mysqli_fetch_assoc($rsView);
	$stock = $dados['stock'];
	if ($stock < $qtd) {
		echo 2;
	}else{
		$sqlBox = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status' AND usuario = '$userID'";
		$rsBox = mysqli_query($db, $sqlBox);
		if (mysqli_num_rows($rsBox) > 0) {	
			$sqlP = "SELECT preco, id_catgeoria FROM produto WHERE nomeproduto = '$produto'";	
			$rsP = mysqli_query($db, $sqlP);
			$dados = mysqli_fetch_array($rsP);
			$preco = $dados['preco'];
			$categor = $dados['id_catgeoria'];
			$total = $qtd * $preco;
			if (mysqli_num_rows($rsBox) > 0) {
				$sqlselect = "SELECT * FROM pos_mesas_temp_artigos WHERE artigo = '$produto' AND mesa = '$mesa'";
				$rsselect = mysqli_query($db, $sqlselect);
				$dd = mysqli_fetch_array($rsselect);
				$q = $dd['qtd'];
				if ($stock >= ($q + $qtd)) {
					if (mysqli_num_rows($rsselect) > 0) {
					$sqlll = "UPDATE pos_mesas_temp_artigos SET qtd = qtd + '$qtd', total = total + (preco * '$qtd') WHERE artigo = '$produto' AND user = '$userID' AND mesa = '$mesa'";	
					$rsss = mysqli_query($db, $sqlll);
					}else{
						$sqlllo = "INSERT INTO `pos_mesas_temp_artigos`(`artigo`, `qtd`, `preco`, `total`, `user`, `mesa`, `cat_prod`) VALUES ('$produto','$qtd', '$preco', '$total', '$userID', '$mesa', '$categor')";	
						$rsssk = mysqli_query($db, $sqlllo);
						if ($rsssk > 0) {
							$sqlllp = "UPDATE mesas SET status = 1 WHERE numero = '$mesa'";	
							$rsssv = mysqli_query($db, $sqlllp);
						}
					}
				}else{
					echo 2;
				}
				
				
			}
		}else{
			echo "<script>alert('O caixa esta fechado, favor abrir o caixa!')</script>";
		}
	}
}
